Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 2511)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 2512)
@@ -1563,5 +1486,5 @@
                                  ( section(is,s_ind) == -1  .AND.               &
                                    nys-1 == -1 ) )  THEN
-                               total_2d(nxlg:nxrg,nzb_do:nzt_do) = local_2d
+                               total_2d(nxl:nxr,nzb_do:nzt_do) = local_2d
                             ENDIF
 !
@@ -1592,12 +1515,12 @@
 !--                         Relocate the local array for the next loop increment
                             DEALLOCATE( local_2d )
-                            ALLOCATE( local_2d(nxlg:nxrg,nzb_do:nzt_do) )
+                            ALLOCATE( local_2d(nxl:nxr,nzb_do:nzt_do) )
 
 #if defined( __netcdf )
-                            nc_stat = NF90_PUT_VAR( id_set_xz(av),          &
-                                                 id_var_do2d(av,if),        &
-                                                 total_2d(0:nx+1,nzb_do:nzt_do),&
-                            start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
-                                             count = (/ nx+2, 1, nzt_do-nzb_do+1, 1 /) )
+                            nc_stat = NF90_PUT_VAR( id_set_xz(av),             &
+                                                 id_var_do2d(av,if),           &
+                                                 total_2d(0:nx,nzb_do:nzt_do), &
+                               start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
+                                          count = (/ nx+1, 1, nzt_do-nzb_do+1, 1 /) )
                             CALL netcdf_handle_error( 'data_output_2d', 58 )
 #endif
@@ -1611,5 +1534,5 @@
                                  ( section(is,s_ind) == -1  .AND.  nys-1 == -1 ) ) &
                             THEN
-                               ind(1) = nxlg; ind(2) = nxrg
+                               ind(1) = nxl; ind(2) = nxr
                                ind(3) = nzb_do;   ind(4) = nzt_do
                             ELSE
@@ -1622,5 +1545,5 @@
 !--                         If applicable, send data to PE0.
                             IF ( ind(1) /= -9999 )  THEN
-                               CALL MPI_SEND( local_2d(nxlg,nzb_do), ngp,         &
+                               CALL MPI_SEND( local_2d(nxl,nzb_do), ngp,         &
                                               MPI_REAL, 0, 1, comm2d, ierr )
                             ENDIF
@@ -1638,7 +1561,7 @@
                    nc_stat = NF90_PUT_VAR( id_set_xz(av),                   &
                                            id_var_do2d(av,if),              &
-                                           local_2d(nxl:nxr+1,nzb_do:nzt_do),   &
+                                           local_2d(nxl:nxr,nzb_do:nzt_do), &
                             start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
-                                           count = (/ nx+2, 1, nzt_do-nzb_do+1, 1 /) )
+                                       count = (/ nx+1, 1, nzt_do-nzb_do+1, 1 /) )
                    CALL netcdf_handle_error( 'data_output_2d', 451 )
 #endif
@@ -1673,11 +1596,11 @@
                    IF ( section(is,s_ind) == -1 )  THEN
 
-                      ALLOCATE( local_2d_l(nysg:nyng,nzb_do:nzt_do) )
+                      ALLOCATE( local_2d_l(nys:nyn,nzb_do:nzt_do) )
                       local_2d_l = 0.0_wp
-                      ngp = ( nyng-nysg+1 ) * ( nzt_do-nzb_do+1 )
+                      ngp = ( nyn-nys+1 ) * ( nzt_do-nzb_do+1 )
 !
 !--                   First local averaging on the PE
                       DO  k = nzb_do, nzt_do
-                         DO  j = nysg, nyng
+                         DO  j = nys, nyn
                             DO  i = nxl, nxr
                                local_2d_l(j,k) = local_2d_l(j,k) +             &
@@ -1690,6 +1613,6 @@
 !--                   Now do the averaging over all PEs along x
                       IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-                      CALL MPI_ALLREDUCE( local_2d_l(nysg,nzb_do),                &
-                                          local_2d(nysg,nzb_do), ngp, MPI_REAL,   &
+                      CALL MPI_ALLREDUCE( local_2d_l(nys,nzb_do),                &
+                                          local_2d(nys,nzb_do), ngp, MPI_REAL,   &
                                           MPI_SUM, comm1dx, ierr )
 #else
@@ -1726,5 +1649,5 @@
 !--                      stored here on a local array and will be written to the
 !--                      output file afterwards to increase the performance.
-                         DO  j = nysg, nyng
+                         DO  j = nys, nyn
                             DO  k = nzb_do, nzt_do
                                local_2d_sections_l(is,j,k) = local_2d(j,k)
@@ -1754,5 +1677,5 @@
                                       nxl-1 == -1 ) )                          &
                                THEN
-                                  WRITE (23)  nysg, nyng, nzb_do, nzt_do, nzb, nzt+1
+                                  WRITE (23)  nys, nyn, nzb_do, nzt_do, nzb, nzt+1
                                   WRITE (23)  local_2d
                                ELSE
@@ -1773,5 +1696,5 @@
                          CALL MPI_BARRIER( comm2d, ierr )
 
-                         ngp = ( nyng-nysg+1 ) * ( nzt_do-nzb_do+1 )
+                         ngp = ( nyn-nys+1 ) * ( nzt_do-nzb_do+1 )
                          IF ( myid == 0 )  THEN
 !
@@ -1781,5 +1704,5 @@
                                  ( section(is,s_ind) == -1  .AND.  nxl-1 == -1 ) ) &
                             THEN
-                               total_2d(nysg:nyng,nzb_do:nzt_do) = local_2d
+                               total_2d(nys:nyn,nzb_do:nzt_do) = local_2d
                             ENDIF
 !
@@ -1810,12 +1733,12 @@
 !--                         Relocate the local array for the next loop increment
                             DEALLOCATE( local_2d )
-                            ALLOCATE( local_2d(nysg:nyng,nzb_do:nzt_do) )
+                            ALLOCATE( local_2d(nys:nyn,nzb_do:nzt_do) )
 
 #if defined( __netcdf )
-                            nc_stat = NF90_PUT_VAR( id_set_yz(av),          &
-                                                 id_var_do2d(av,if),        &
-                                                 total_2d(0:ny+1,nzb_do:nzt_do),&
-                            start = (/ is, 1, 1, do2d_yz_time_count(av) /), &
-                                             count = (/ 1, ny+2, nzt_do-nzb_do+1, 1 /) )
+                            nc_stat = NF90_PUT_VAR( id_set_yz(av),             &
+                                                 id_var_do2d(av,if),           &
+                                                 total_2d(0:ny,nzb_do:nzt_do), &
+                            start = (/ is, 1, 1, do2d_yz_time_count(av) /),    &
+                                       count = (/ 1, ny+1, nzt_do-nzb_do+1, 1 /) )
                             CALL netcdf_handle_error( 'data_output_2d', 61 )
 #endif
@@ -1829,5 +1752,5 @@
                                  ( section(is,s_ind) == -1  .AND.  nxl-1 == -1 ) ) &
                             THEN
-                               ind(1) = nysg; ind(2) = nyng
+                               ind(1) = nys; ind(2) = nyn
                                ind(3) = nzb_do;   ind(4) = nzt_do
                             ELSE
@@ -1840,5 +1763,5 @@
 !--                         If applicable, send data to PE0.
                             IF ( ind(1) /= -9999 )  THEN
-                               CALL MPI_SEND( local_2d(nysg,nzb_do), ngp,         &
+                               CALL MPI_SEND( local_2d(nys,nzb_do), ngp,         &
                                               MPI_REAL, 0, 1, comm2d, ierr )
                             ENDIF
@@ -1856,7 +1779,7 @@
                    nc_stat = NF90_PUT_VAR( id_set_yz(av),                   &
                                            id_var_do2d(av,if),              &
-                                           local_2d(nys:nyn+1,nzb_do:nzt_do),   &
+                                           local_2d(nys:nyn,nzb_do:nzt_do), &
                             start = (/ is, 1, 1, do2d_xz_time_count(av) /), &
-                                           count = (/ 1, ny+2, nzt_do-nzb_do+1, 1 /) )
+                                           count = (/ 1, ny+1, nzt_do-nzb_do+1, 1 /) )
                    CALL netcdf_handle_error( 'data_output_2d', 452 )
 #endif
@@ -1887,35 +1810,35 @@
 !--                   Do not output redundant ghost point data except for the
 !--                   boundaries of the total domain.
-                      IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-                                                 id_var_do2d(av,if),           &
-                                                 local_2d_sections(nxl:nxr+1,  &
-                                                    nys:nyn,1:nis),            &
-                                                 start = (/ nxl+1, nys+1, 1,   &
-                                                    do2d_xy_time_count(av) /), &
-                                                 count = (/ nxr-nxl+2,         &
-                                                            nyn-nys+1, nis, 1  &
-                                                          /) )
-                      ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-                                                 id_var_do2d(av,if),           &
-                                                 local_2d_sections(nxl:nxr,    &
-                                                    nys:nyn+1,1:nis),          &
-                                                 start = (/ nxl+1, nys+1, 1,   &
-                                                    do2d_xy_time_count(av) /), &
-                                                 count = (/ nxr-nxl+1,         &
-                                                            nyn-nys+2, nis, 1  &
-                                                          /) )
-                      ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
-                                                 id_var_do2d(av,if),           &
-                                                 local_2d_sections(nxl:nxr+1,  &
-                                                    nys:nyn+1,1:nis),          &
-                                                 start = (/ nxl+1, nys+1, 1,   &
-                                                    do2d_xy_time_count(av) /), &
-                                                 count = (/ nxr-nxl+2,         &
-                                                            nyn-nys+2, nis, 1  &
-                                                          /) )
-                      ELSE
+!                      IF ( nxr == nx  .AND.  nyn /= ny )  THEN
+!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
+!                                                 id_var_do2d(av,if),           &
+!                                                 local_2d_sections(nxl:nxr+1,  &
+!                                                    nys:nyn,1:nis),            &
+!                                                 start = (/ nxl+1, nys+1, 1,   &
+!                                                    do2d_xy_time_count(av) /), &
+!                                                 count = (/ nxr-nxl+2,         &
+!                                                            nyn-nys+1, nis, 1  &
+!                                                          /) )
+!                      ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
+!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
+!                                                 id_var_do2d(av,if),           &
+!                                                 local_2d_sections(nxl:nxr,    &
+!                                                    nys:nyn+1,1:nis),          &
+!                                                 start = (/ nxl+1, nys+1, 1,   &
+!                                                    do2d_xy_time_count(av) /), &
+!                                                 count = (/ nxr-nxl+1,         &
+!                                                            nyn-nys+2, nis, 1  &
+!                                                          /) )
+!                      ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
+!                         nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
+!                                                 id_var_do2d(av,if),           &
+!                                                 local_2d_sections(nxl:nxr+1,  &
+!                                                    nys:nyn+1,1:nis),          &
+!                                                 start = (/ nxl+1, nys+1, 1,   &
+!                                                    do2d_xy_time_count(av) /), &
+!                                                 count = (/ nxr-nxl+2,         &
+!                                                            nyn-nys+2, nis, 1  &
+!                                                          /) )
+!                      ELSE
                          nc_stat = NF90_PUT_VAR( id_set_xy(av),                &
                                                  id_var_do2d(av,if),           &
@@ -1927,5 +1850,5 @@
                                                             nyn-nys+1, nis, 1  &
                                                           /) )
-                      ENDIF    
+!                      ENDIF    
 
                       CALL netcdf_handle_error( 'data_output_2d', 55 )
@@ -1946,8 +1869,8 @@
 !
 !--                      Distribute data over all PEs along y
-                         ngp = ( nxrg-nxlg+1 ) * ( nzt_do-nzb_do+1 ) * ns
+                         ngp = ( nxr-nxl+1 ) * ( nzt_do-nzb_do+1 ) * ns
                          IF ( collective_wait ) CALL MPI_BARRIER( comm2d, ierr )
-                         CALL MPI_ALLREDUCE( local_2d_sections_l(nxlg,1,nzb_do),  &
-                                             local_2d_sections(nxlg,1,nzb_do),    &
+                         CALL MPI_ALLREDUCE( local_2d_sections_l(nxl,1,nzb_do),  &
+                                             local_2d_sections(nxl,1,nzb_do),    &
                                              ngp, MPI_REAL, MPI_SUM, comm1dy,  &
                                              ierr )
@@ -1959,14 +1882,14 @@
 !--                   Do not output redundant ghost point data except for the
 !--                   boundaries of the total domain.
-                      IF ( nxr == nx )  THEN
-                         nc_stat = NF90_PUT_VAR( id_set_xz(av),                &
-                                             id_var_do2d(av,if),               & 
-                                             local_2d_sections(nxl:nxr+1,1:ns, &
-                                                nzb_do:nzt_do),                &
-                                             start = (/ nxl+1, 1, 1,           &
-                                                do2d_xz_time_count(av) /),     &
-                                             count = (/ nxr-nxl+2, ns, nzt_do-nzb_do+1,  &
-                                                        1 /) )
-                      ELSE
+!                      IF ( nxr == nx )  THEN
+!                         nc_stat = NF90_PUT_VAR( id_set_xz(av),                &
+!                                             id_var_do2d(av,if),               & 
+!                                             local_2d_sections(nxl:nxr+1,1:ns, &
+!                                                nzb_do:nzt_do),                &
+!                                             start = (/ nxl+1, 1, 1,           &
+!                                                do2d_xz_time_count(av) /),     &
+!                                             count = (/ nxr-nxl+2, ns, nzt_do-nzb_do+1,  &
+!                                                        1 /) )
+!                      ELSE
                          nc_stat = NF90_PUT_VAR( id_set_xz(av),                &
                                              id_var_do2d(av,if),               &
@@ -1977,5 +1900,5 @@
                                              count = (/ nxr-nxl+1, ns, nzt_do-nzb_do+1,  &
                                                 1 /) )
-                      ENDIF
+!                      ENDIF
 
                       CALL netcdf_handle_error( 'data_output_2d', 57 )
@@ -1996,8 +1919,8 @@
 !
 !--                      Distribute data over all PEs along x
-                         ngp = ( nyng-nysg+1 ) * ( nzt-nzb + 2 ) * ns
+                         ngp = ( nyn-nys+1 ) * ( nzt-nzb + 2 ) * ns
                          IF ( collective_wait ) CALL MPI_BARRIER( comm2d, ierr )
-                         CALL MPI_ALLREDUCE( local_2d_sections_l(1,nysg,nzb_do),  &
-                                             local_2d_sections(1,nysg,nzb_do),    &
+                         CALL MPI_ALLREDUCE( local_2d_sections_l(1,nys,nzb_do),  &
+                                             local_2d_sections(1,nys,nzb_do),    &
                                              ngp, MPI_REAL, MPI_SUM, comm1dx,  &
                                              ierr )
@@ -2009,14 +1932,14 @@
 !--                   Do not output redundant ghost point data except for the
 !--                   boundaries of the total domain.
-                      IF ( nyn == ny )  THEN
-                         nc_stat = NF90_PUT_VAR( id_set_yz(av),                &
-                                             id_var_do2d(av,if),               &
-                                             local_2d_sections(1:ns,           &
-                                                nys:nyn+1,nzb_do:nzt_do),      &
-                                             start = (/ 1, nys+1, 1,           &
-                                                do2d_yz_time_count(av) /),     &
-                                             count = (/ ns, nyn-nys+2,         &
-                                                        nzt_do-nzb_do+1, 1 /) )
-                      ELSE
+!                      IF ( nyn == ny )  THEN
+!                         nc_stat = NF90_PUT_VAR( id_set_yz(av),                &
+!                                             id_var_do2d(av,if),               &
+!                                             local_2d_sections(1:ns,           &
+!                                                nys:nyn+1,nzb_do:nzt_do),      &
+!                                             start = (/ 1, nys+1, 1,           &
+!                                                do2d_yz_time_count(av) /),     &
+!                                             count = (/ ns, nyn-nys+2,         &
+!                                                        nzt_do-nzb_do+1, 1 /) )
+!                      ELSE
                          nc_stat = NF90_PUT_VAR( id_set_yz(av),                &
                                              id_var_do2d(av,if),               &
@@ -2027,5 +1950,5 @@
                                              count = (/ ns, nyn-nys+1,         &
                                                         nzt_do-nzb_do+1, 1 /) )
-                      ENDIF
+!                      ENDIF
 
                       CALL netcdf_handle_error( 'data_output_2d', 60 )
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 2511)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 2512)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! upper bounds of 3d output changed from nx+1,ny+1 to nx,ny
+! no output of ghost layer data
+! 
+! 2292 2017-06-20 09:51:42Z schwenkel
 ! Implementation of new microphysic scheme: cloud_scheme = 'morrison' 
 ! includes two more prognostic equations for cloud drop concentration (nc)  
@@ -178,5 +182,5 @@
         
     USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb
+        ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb
         
     USE kinds
@@ -241,11 +245,7 @@
 !
 !-- Open output file.
-!-- Also creates coordinate and fld-file for AVS.
-!-- For classic or 64bit netCDF output or output of other (old) data formats,
-!-- for a run on more than one PE, each PE opens its own file and
-!-- writes the data of its subdomain in binary format (regardless of the format
-!-- the user has requested). After the run, these files are combined to one
-!-- file by combine_plot_fields in the format requested by the user (netcdf
-!-- and/or avs).
+!-- For classic or 64bit netCDF output on more than one PE, each PE opens its
+!-- own file and writes the data of its subdomain in binary format. After the
+!-- run, these files are combined to one NetCDF file by combine_plot_fields.
 !-- For netCDF4/HDF5 output, data is written in parallel into one file.
     IF ( netcdf_data_format < 5 )  THEN
@@ -314,5 +314,5 @@
 !
 !--    Allocate a temporary array with the desired output dimensions.
-       ALLOCATE( local_pf(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) )
+       ALLOCATE( local_pf(nxl:nxr,nys:nyn,nzb_do:nzt_do) )
 
        SELECT CASE ( trimvar )
@@ -359,10 +359,9 @@
                 IF ( simulated_time >= particle_advection_start )  THEN
                    tend = prt_count
-                   CALL exchange_horiz( tend, nbgp )
                 ELSE
                    tend = 0.0_wp
                 ENDIF
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = tend(k,j,i)
@@ -372,5 +371,4 @@
                 resorted = .TRUE.
              ELSE
-                CALL exchange_horiz( pc_av, nbgp )
                 to_be_resorted => pc_av
              ENDIF
@@ -404,10 +402,9 @@
                       ENDDO
                    ENDDO
-                   CALL exchange_horiz( tend, nbgp )
                 ELSE
                    tend = 0.0_wp
                 ENDIF
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = tend(k,j,i)
@@ -417,5 +414,4 @@
                 resorted = .TRUE.
              ELSE
-                CALL exchange_horiz( pr_av, nbgp )
                 to_be_resorted => pr_av
              ENDIF
@@ -423,7 +419,6 @@
           CASE ( 'prr' )
              IF ( av == 0 )  THEN
-                CALL exchange_horiz( prr, nbgp )
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = prr(k,j,i)
@@ -432,7 +427,6 @@
                 ENDDO
              ELSE
-                CALL exchange_horiz( prr_av, nbgp )
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = prr_av(k,j,i)
@@ -448,6 +442,6 @@
                    to_be_resorted => pt
                 ELSE
-                   DO  i = nxlg, nxrg
-                      DO  j = nysg, nyng
+                   DO  i = nxl, nxr
+                      DO  j = nys, nyn
                          DO  k = nzb_do, nzt_do
                             local_pf(i,j,k) = pt(k,j,i) + l_d_cp *             &
@@ -517,10 +511,9 @@
                       ENDDO
                    ENDDO
-                   CALL exchange_horiz( tend, nbgp )
                 ELSE
                    tend = 0.0_wp
                 ENDIF
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = tend(k,j,i)
@@ -530,5 +523,4 @@
                 resorted = .TRUE.
              ELSE
-                CALL exchange_horiz( ql_vp_av, nbgp )
                 to_be_resorted => ql_vp_av
              ENDIF
@@ -543,6 +535,6 @@
           CASE ( 'qv' )
              IF ( av == 0 )  THEN
-                DO  i = nxlg, nxrg
-                   DO  j = nysg, nyng
+                DO  i = nxl, nxr
+                   DO  j = nys, nyn
                       DO  k = nzb_do, nzt_do
                          local_pf(i,j,k) = q(k,j,i) - ql(k,j,i)
@@ -620,5 +612,5 @@
 
                 DEALLOCATE ( local_pf )
-                ALLOCATE( local_pf(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) )
+                ALLOCATE( local_pf(nxl:nxr,nys:nyn,nzb_do:nzt_do) )
 
                 CALL lsm_data_output_3d( av, do3d(av,if), found, local_pf )
@@ -632,5 +624,5 @@
 
                    DEALLOCATE ( local_pf )
-                   ALLOCATE( local_pf(nxlg:nxrg,nysg:nyng,nzb_do:nzt_do) )                 
+                   ALLOCATE( local_pf(nxl:nxr,nys:nyn,nzb_do:nzt_do) )                 
                 ENDIF
 
@@ -672,6 +664,6 @@
 !--    Resort the array to be output, if not done above
        IF ( .NOT. resorted )  THEN
-          DO  i = nxlg, nxrg
-             DO  j = nysg, nyng
+          DO  i = nxl, nxr
+             DO  j = nys, nyn
                 DO  k = nzb_do, nzt_do
                    local_pf(i,j,k) = to_be_resorted(k,j,i)
@@ -695,5 +687,5 @@
           DO  i = 0, io_blocks-1
              IF ( i == io_group )  THEN
-                WRITE ( 30 )  nxlg, nxrg, nysg, nyng, nzb_do, nzt_do
+                WRITE ( 30 )  nxl, nxr, nys, nyn, nzb_do, nzt_do
                 WRITE ( 30 )  local_pf(:,:,nzb_do:nzt_do)
              ENDIF
@@ -707,27 +699,25 @@
 !
 !--       Parallel output in netCDF4/HDF5 format.
-!--       Do not output redundant ghost point data except for the
-!--       boundaries of the total domain.
-          IF ( nxr == nx  .AND.  nyn /= ny )  THEN
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
-                               local_pf(nxl:nxr+1,nys:nyn,nzb_do:nzt_do),    &
-                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
-                count = (/ nxr-nxl+2, nyn-nys+1, nzt_do-nzb_do+1, 1 /) )
-          ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
-                               local_pf(nxl:nxr,nys:nyn+1,nzb_do:nzt_do),    &
-                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
-                count = (/ nxr-nxl+1, nyn-nys+2, nzt_do-nzb_do+1, 1 /) )
-          ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
-             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
-                             local_pf(nxl:nxr+1,nys:nyn+1,nzb_do:nzt_do  ),  &
-                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
-                count = (/ nxr-nxl+2, nyn-nys+2, nzt_do-nzb_do+1, 1 /) )
-          ELSE
+!          IF ( nxr == nx  .AND.  nyn /= ny )  THEN
+!             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+!                               local_pf(nxl:nxr+1,nys:nyn,nzb_do:nzt_do),    &
+!                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
+!                count = (/ nxr-nxl+2, nyn-nys+1, nzt_do-nzb_do+1, 1 /) )
+!          ELSEIF ( nxr /= nx  .AND.  nyn == ny )  THEN
+!             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+!                               local_pf(nxl:nxr,nys:nyn+1,nzb_do:nzt_do),    &
+!                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
+!                count = (/ nxr-nxl+1, nyn-nys+2, nzt_do-nzb_do+1, 1 /) )
+!          ELSEIF ( nxr == nx  .AND.  nyn == ny )  THEN
+!             nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
+!                             local_pf(nxl:nxr+1,nys:nyn+1,nzb_do:nzt_do  ),  &
+!                start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
+!                count = (/ nxr-nxl+2, nyn-nys+2, nzt_do-nzb_do+1, 1 /) )
+!          ELSE
              nc_stat = NF90_PUT_VAR( id_set_3d(av), id_var_do3d(av,if),  &
                                  local_pf(nxl:nxr,nys:nyn,nzb_do:nzt_do),    &
                 start = (/ nxl+1, nys+1, nzb_do+1, do3d_time_count(av) /),  &
                 count = (/ nxr-nxl+1, nyn-nys+1, nzt_do-nzb_do+1, 1 /) )
-          ENDIF
+!          ENDIF
           CALL netcdf_handle_error( 'data_output_3d', 386 )
 #endif
@@ -738,5 +728,5 @@
                          local_pf(nxl:nxr+1,nys:nyn+1,nzb_do:nzt_do),        &
                          start = (/ 1, 1, 1, do3d_time_count(av) /),     &
-                         count = (/ nx+2, ny+2, nzt_do-nzb_do+1, 1 /) )
+                         count = (/ nx+1, ny+1, nzt_do-nzb_do+1, 1 /) )
        CALL netcdf_handle_error( 'data_output_3d', 446 )
 #endif
